lp:ubuntu/wily/makedumpfile

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/wily/makedumpfile
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

20. By Adam Conrad

* Merge from Debian unstable. Remaining changes:
  - Build makedumpfile on armel, armhf, arm64, and x32.

19. By Adam Conrad

Build makedumpfile on armel, armhf, arm64, and x32 (LP: #831643)

18. By Louis Bouchard

* Merge of new upstream version 1.5.1
* Add --dmesg-fix from upstream 1.5.2 for kernels 3.5
  and above
* Add creation of /var/crash/dmesg.{timestamp} by kdump-config

17. By Louis Bouchard

New upstream version 1.5.0

16. By John Wright

New upstream version

15. By John Wright

[ Louis Bouchard ]
* Update packaging for upstream version 1.4.3

[ John Wright ]
* Add Louis Bouchard to Uploaders. Thanks!

14. By John Wright

* New upstream version
* Drop makedumpfile-static package, since makedumpfile depends on
  libebl, which is no longer available statically, and nobody is
  depending on makedumpfile-static anyway

13. By John Wright

* Cherry-pick upstream commits:
  - [PATCH] BUGFIX: Avoid SIGSEGV when specifying -V option.
    (5b8c2da75cbdb230019a3b956793fb768055b977)
  - [PATCH] Copy correct nr_cpus info to dumpfile during re-filtering.
    (c4f1c98a9827c1c0e41772c1954940fbf1b48048)
* kdump-tools.init: Don't exit with failure status except for bad
  usage. This way, even if /etc/default/kdump-tools has USE_KDUMP=1
  but the kernel command line or debug kernels are not set up,
  installation of a new version of the package will not leave it
  unconfigured. (Closes: #623470)

12. By John Wright

* New upstream version
* Preserve upstream's original makedumpfile.8 in clean target
* kdump-config: Fix a typo
* Switch to the "3.0 (quilt)" source format
  - Remove unneeded Build-Depends on quilt
* Update kdump-tools.README.Debian to reflect that recent kernels
  don't need a crash kernel start address
* Apply patch from Petter Reinholdtsen to fix incorrect dependencies
  in kdump-tools.init (Closes: #569685)
* Indicate support for Linux 2.6.32
  - Although upstream hasn't updated its LATEST_VERSION macro, this
    version works without modification on Linux 2.6.32. Squelch a
    warning that a 2.6.32 kernel is not supported.
* Backport upstream commit 4a16bd39866093f4949f8e9dc183fa2321bda22d
  - Fix buffer overflow when writing dh->signature

11. By Michael Vogt

* debian/patches/02-Add_x86_64_linux-2.6.31.patch:
  - apply patch by Ken'ichi Ohmichi to support 2.6.31 on
    amd64 (kernel memory layout changed)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers